Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1096971 - Importing an Export/ISO storage domain automatically activates the domain
Summary: Importing an Export/ISO storage domain automatically activates the domain
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Tal Nisan
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-12 20:29 UTC by Jake Hunsaker
Modified: 2016-02-10 18:19 UTC (History)
13 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta
Doc Type: Bug Fix
Doc Text:
Previously, when importing an ISO domain or an export domain to a data center, the imported domain was activated right after being attached to the data center. With this update, an imported domain will not be activated by default unless the corresponding check box in the import domain dialog is checked.
Clone Of:
Environment:
Last Closed: 2015-02-11 18:01:38 UTC
oVirt Team: Storage
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 28276 master MERGED webadmin: Giving the option of whether to activate an imported domain Never

Description Jake Hunsaker 2014-05-12 20:29:02 UTC
Description of problem:

When importing an Export or ISO domain, it is automatically activated. This is not always desired as the domain might be activated in another environment 

Version-Release number of selected component (if applicable):

rhevm-3.3.2

How reproducible:
Always

Steps to Reproduce:
1. Import an Export/ISO domain
2.
3.

Actual results:

Domain is automatically activated

Expected results:

Domain should need to be manually activated by the user - I.E. only attached during import.

Additional info:

RHEV docs indicate that the domain should need to be manually activated:

https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html/Administration_Guide/sect-Storage_Tasks.html

Comment 1 Allon Mureinik 2014-05-14 10:36:40 UTC
The GUI should give the option to activate it, but I agree a user may want to disable this.

Comment 5 Kevin Alon Goldblatt 2014-07-07 13:08:39 UTC
Imported nfs/iso domain and it remained inactive. Moving to Verfied!

Comment 6 Pavel Novotny 2014-07-10 13:33:16 UTC
What I understood from comment 0, the customer wants to avoid the error "Error while executing action Attach Storage Domain: The Domain is already used by another Data Center..." when importing a domain already attached to another DC or RHEVM.

However this patch doesn't change anything in this case, because the error is thrown when attaching a domain, not activating it.

Therefore the correct functionality/checkbox should be "Attach Domain to Data Center", not "Activate Domain in Data Center".

Did I get it right?

Comment 7 Tal Nisan 2014-07-10 13:41:52 UTC
Nope, an ISO domain can be attached to a few data centers at once, the customer wants to attach an ISO domain to a data center yet decide by himself when it should be activated as referenced in the documentation

Comment 8 Pavel Novotny 2014-07-10 14:00:00 UTC
(In reply to Tal Nisan from comment #7)
> Nope, an ISO domain can be attached to a few data centers at once, the
> customer wants to attach an ISO domain to a data center yet decide by
> himself when it should be activated as referenced in the documentation

Thanks Tal, if this BZ is just about the ISO domain, then it's clear.

Comment 10 errata-xmlrpc 2015-02-11 18:01:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.